# eric3.Helpviewer.BookmarkDialog

Module implementing the bookmark dialog of the helpviewer.

### Classes

BookmarkDialog | Class implementing the bookmark dialog of the helpviewer.

### Functions

None

## BookmarkDialog

Class implementing the bookmark dialog of the helpviewer. This dialog is used to edit and delete individual bookmarks. They can be rearranged and their contents can be edited.

### Derived from

BookmarkForm

### Methods

BookmarkDialog | Constructor
accept | Private slot called if the Ok button is pressed.
handleDelete | Private slot called to delete a listview item.
moveDown | Private slot called to move the selected item down in the list.
moveUp | Private slot called to move the selected item up in the list.
populateBMListView | Private function to set up the contents of the listview.
show | Public slot called to display this dialog.

### BookmarkDialog (Constructor)

BookmarkDialog(parent, name=None, modal=0, fl=0)

Constructor

parent
  the parent widget of this dialog (QWidget) This is usually the helpviewer main window.
name
  the name of this dialog (string or QString)
modal
  flag indicating a modal dialog (boolean)
fl
  window flags for this dialog

### BookmarkDialog.accept

accept()

Private slot called if the Ok button is pressed. It updates the bookmarks list and writes it to the bookmarks file.

### BookmarkDialog.handleDelete

handleDelete()

Private slot called to delete a listview item.

### BookmarkDialog.moveDown

moveDown()

Private slot called to move the selected item down in the list.

### BookmarkDialog.moveUp

moveUp()

Private slot called to move the selected item up in the list.

### BookmarkDialog.populateBMListView

populateBMListView()

Private function to set up the contents of the listview.

### BookmarkDialog.show

show()

Public slot called to display this dialog.

Up